| Classes - Annotated - Tree - Functions - Home - Structure

# QWidgetItem Class Reference

A QLayoutItem that represents widget. More...

`#include <qabstractlayout.h>`

Inherits QLayoutItem.

List of all member functions.

## Public Members

- QWidgetItem ( QWidget * w )
- virtual QSize sizeHint () const
- virtual QSize minimumSize () const
- virtual QSize maximumSize () const
- virtual QSizePolicy::ExpandData expanding () const
- virtual bool isEmpty () const
- virtual void setGeometry ( const QRect & )
- virtual QWidget* widget ()
- const QSize& widgetSizeHint () const

## Detailed Description

A QLayoutItem that represents widget.

For custom layouts.

See also QLayout.

## Member Function Documentation

### QWidgetItem::QWidgetItem ( QWidget * w )

Creates an item containing w.

### QSizePolicy::ExpandData QWidgetItem::expanding() const `[virtual]`

Returns whether this item's widget is expanding.

Reimplemented from QLayoutItem.

### QRect QWidgetItem::geometry () const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QLayoutItem.

### bool QWidgetItem::hasHeightForWidth () const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QLayoutItem.

### int QWidgetItem::heightForWidth ( int w ) const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QLayoutItem.

### bool QWidgetItem::isEmpty () const `[virtual]`

Returns TRUE, if the widget has been hidden, FALSE otherwise.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::maximumSize () const `[virtual]`

Returns the maximum size of this item.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::minimumSize () const `[virtual]`

Returns the minimum size of this item.

Reimplemented from QLayoutItem.

### void QWidgetItem::setGeometry ( const QRect & r ) `[virtual]`

Sets the geometry of this item's widget to be contained within r, taking alignment and maximum size into account.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::sizeHint () const `[virtual]`

Returns the preferred size of this item.

Reimplemented from QLayoutItem.

### QWidget * QWidgetItem::widget () `[virtual]`

Returns the widget managed by this item.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.